/******************************************************************************
 * This file is part of CCTools.                                              *
 *                                                                            *
 * CCTools is free software: you can redistribute it and/or modify            *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 3 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * CCTools is distributed in the hope that it will be useful,                 *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with CCTools.  If not, see <http://www.gnu.org/licenses/>.           *
 ******************************************************************************/

static const uint8_t pg_original[] = {
    // Seek +0x0452 (to 0x00000452)
    0xff, 0xff, 0x04, 0x52,
    0x70, 0x2a, 0x10, 0x1d, 0x70, 0x2a,

    // Seek +0x1a (to 0x00000472)
    0xff, 0x1a,
    0xd4, 0x1c, 0x10, 0x1d, 0xd4, 0x1c,

    // Seek +0x4a08 (to 0x00004e80)
    0xff, 0xff, 0x4a, 0x08,
    0x01,

    // Seek +0x05 (to 0x00004e86)
    0xff, 0x05,
    0x01,

    // Seek +0x21 (to 0x00004ea8)
    0xff, 0x21,
    0x02,

    // Seek +0x07 (to 0x00004eb0)
    0xff, 0x07,
    0x00,

    // Seek +0x010b (to 0x00004fbc)
    0xff, 0xff, 0x01, 0x0b,
    0x00,

    // Seek +0x2880 (to 0x0000783d)
    0xff, 0xff, 0x28, 0x80,
    0xae, 0x0d,

    // Seek +0x66 (to 0x000078a5)
    0xff, 0x66,
    0xae, 0x0d,

    // Seek +0x0619 (to 0x00007ec0)
    0xff, 0xff, 0x06, 0x19,
    0x89, 0x5e, 0xf4, 0x80, 0xbf, 0x00, 0x04, 0x31, 0x74, 0x70, 0x8a, 0x07,
    0x88, 0x46, 0xfd, 0x8a, 0xd8, 0x2a, 0xff, 0x00, 0x8b, 0xc3, 0xd1, 0xe3,
    0x03, 0xd8, 0xd1, 0xe3, 0x8d, 0x7e, 0xf6, 0x8d, 0xb7, 0x6c, 0x06, 0x8c,
    0xd0, 0x8e, 0xc0, 0xa5, 0xa5, 0xa5, 0x8a, 0x46, 0xf9, 0x2a, 0xe4, 0x8b,
    0x5e, 0x10, 0x89, 0x07, 0x80, 0x7e, 0xf8, 0x01, 0x75, 0x07, 0xb8, 0x01,
    0x00, 0xeb, 0x43, 0x90, 0x90, 0x80, 0x7e, 0xf8, 0x02, 0x75, 0x34, 0x8a,
    0x46, 0xfd, 0x2a, 0xe4, 0x3d, 0x30, 0x00, 0x74, 0x12, 0x77, 0x28, 0x2c,
    0x06, 0x7c, 0x24, 0x2c, 0x03, 0x7e, 0x08, 0x2c, 0x11, 0x7c, 0x1c, 0x2c,
    0x03, 0x7f, 0x18,

    // Seek +0x17 (to 0x00007f39)
    0xff, 0x17,
    0xbf,

    // Seek +0x0714 (to 0x0000864e)
    0xff, 0xff, 0x07, 0x14,
    0x0e,

    // Seek +0xfb (to 0x0000874a)
    0xff, 0xfb,
    0xd9, 0x25,

    // Seek +0x14 (to 0x00008760)
    0xff, 0x14,
    0x8a, 0x46, 0xfd, 0x2a, 0xe4, 0x2d, 0x0e, 0x00, 0x74, 0x0c, 0x48, 0x74,
    0x15, 0x48, 0x74, 0x1a, 0x48, 0x74, 0x23, 0xeb, 0x2b, 0x90, 0xc7, 0x46,
    0xf4, 0x00, 0x00, 0xc7, 0x46, 0xf6, 0xff, 0x00, 0xff, 0x00, 0xeb, 0x1e,
    0xc7, 0x46, 0xf4, 0xff, 0x00, 0xff, 0x00, 0xeb, 0x12, 0x90, 0xc7, 0x46,
    0xf4, 0x00, 0x00, 0xc7, 0x46, 0xf6, 0x01, 0x00, 0xeb, 0x0a, 0xc7, 0x46,
    0xf4, 0x01, 0x00, 0xc7, 0x46, 0xf6, 0x00, 0x00, 0xc6, 0x46, 0xfd, 0x0a,
    0x8b, 0x46, 0xf6, 0x01, 0x46, 0x0a, 0x8b, 0x46, 0xf4, 0x01, 0x46, 0x08,
    0x78, 0x53, 0x83, 0x7e, 0x0a, 0x00, 0x7c, 0x4d, 0x83, 0x7e, 0x08, 0x20,
    0x7d, 0x47, 0x83, 0x7e, 0x0a, 0x20, 0x7d, 0x41, 0x8d, 0x46, 0xf2, 0x50,
    0xff, 0x00, 0x76, 0xf6, 0xff, 0x00, 0x76, 0xf4, 0xff, 0x00, 0x76, 0x0a,
    0xff, 0x00, 0x76, 0x08, 0x6a, 0x0a, 0x9a, 0xa4, 0x1c, 0x91, 0x26, 0x83,
    0xc4, 0x0c, 0x0b, 0xc0, 0x74, 0x23, 0x6a, 0x00, 0x6a, 0x0a, 0xff, 0x00,
    0x76, 0xf6, 0xff, 0x00, 0x76, 0xf4, 0x8b, 0x46, 0x0a, 0x2b, 0x46, 0xf6,
    0x50, 0x8b, 0x46, 0x08, 0x2b, 0x46, 0xf4, 0x50, 0xff, 0x00, 0x76, 0x06,
    0x9a, 0xae, 0x0d, 0x55, 0x28, 0x83, 0xc4, 0x0e,

    // Seek +0x018d (to 0x00008992)
    0xff, 0xff, 0x01, 0x8d,
    0xc1, 0xe3, 0x05, 0x03, 0x1c, 0x8b, 0x36, 0x80, 0x16, 0x8a, 0x00, 0x88,
    0x46, 0xf9, 0x0b, 0xff, 0x00, 0x7d, 0x03, 0xe9, 0x60, 0x01, 0x8d, 0x5d,
    0xff, 0x00, 0x0b, 0xdb, 0x7d, 0x09, 0x8b, 0x1e, 0x80, 0x16, 0x8b, 0x9f,
    0x50, 0x09, 0x4b, 0x3b, 0xdf, 0x75, 0x03, 0xe9, 0x49, 0x01, 0x89, 0x5e,
    0xf6, 0x89, 0x7e, 0xf2, 0x8b, 0x7e, 0x0e, 0x8b, 0x1e, 0x80, 0x16, 0xc4,
    0x9f, 0x56, 0x09, 0x8b, 0x76, 0xf6, 0xc1, 0xe6, 0x02, 0x26, 0x8b, 0x00,
    0x89, 0x46, 0xfa, 0x03, 0xde, 0x26, 0x8b, 0x4f, 0x02, 0x89, 0x4e, 0xfc,
    0x8b, 0xd9, 0xc1, 0xe3, 0x05, 0x03, 0xd8, 0x8b, 0x36, 0x80, 0x16, 0x80,
    0x38, 0x29, 0x74, 0x03, 0xe9, 0xbf, 0x00, 0x8b, 0x76, 0x0c, 0x01, 0x7e,
    0xfc, 0x01, 0x76, 0xfa, 0x79, 0x03, 0xe9, 0xb1, 0x00, 0x83, 0x7e, 0xfc,
    0x00, 0x7d, 0x03, 0xe9, 0xa8, 0x00, 0x83, 0x7e, 0xfa, 0x20, 0x7c, 0x03,
    0xe9, 0x9f, 0x00, 0x83, 0x7e, 0xfc, 0x20, 0x7c, 0x03, 0xe9, 0x96, 0x00,
    0x8b, 0x46, 0x10, 0x0b, 0xc0, 0x74, 0x09, 0x48, 0x74, 0x52, 0x48, 0x74,
    0x6d, 0xe9, 0x86, 0x00, 0x8b, 0x5e, 0xfc, 0xc1, 0xe3, 0x05, 0x03, 0x5e,
    0xfa, 0x03, 0x1e, 0x80, 0x16, 0x80, 0x3f, 0x0a, 0x75, 0x1c, 0x6a, 0x00,
    0x68, 0xff, 0x00, 0x00, 0x57, 0x56, 0xff, 0x00, 0x76, 0xfc, 0xff, 0x00,
    0x76, 0xfa, 0xff, 0x00, 0x76, 0x06, 0x9a, 0xae, 0x0d, 0x3f, 0x16, 0x83,
    0xc4, 0x0e, 0x0b, 0xc0, 0x74, 0x58,

    // Seek +0x48 (to 0x00008aa6)
    0xff, 0x48,
    0x8a, 0x46, 0xf9, 0x50,

    // Seek +0x24 (to 0x00008ace)
    0xff, 0x24,
    0x03, 0xe9, 0xf5, 0xfe, 0xeb, 0x33,

    // Seek +0xbf (to 0x00008b93)
    0xff, 0xbf,
    0x01, 0x25,

    // Seek +0xdb (to 0x00008c70)
    0xff, 0xdb,
    0x0a, 0x00, 0x02, 0x00, 0x3e, 0x07, 0x01, 0x00, 0x00, 0x00, 0x02, 0x00,
    0x58, 0x25, 0x02, 0x00, 0x00, 0x00, 0x02, 0x00, 0xad, 0x28, 0x03, 0x00,
    0x00, 0x00, 0x02, 0x00, 0x25, 0x17, 0x04, 0x00, 0x00, 0x00, 0x03, 0x01,
    0xea, 0x01, 0x01, 0x00, 0x0f, 0x00, 0x03, 0x01, 0xd7, 0x01, 0x01, 0x00,
    0x10, 0x00, 0x03, 0x01, 0xff, 0x00, 0x01, 0x01, 0x00, 0x12, 0x00, 0x03,
    0x01, 0xbd, 0x01, 0x01, 0x00, 0x13, 0x00, 0x02, 0x00, 0x00, 0x26, 0x07,
    0x00, 0x00, 0x00, 0x02, 0x00, 0xdb, 0x28, 0x08, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00,

    // Seek +0x03 (to 0x00008d38)
    0xff, 0x03,
    0x00, 0x00, 0x00, 0x00, 0x00,

    // Seek +0x03 (to 0x00008d40)
    0xff, 0x03,
    0x00, 0x00, 0x00, 0x00, 0x00,

    // Seek +0x03 (to 0x00008d48)
    0xff, 0x03,
    0x00, 0x00, 0x00, 0x00, 0x00,

    // Seek +0x03 (to 0x00008d50)
    0xff, 0x03,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00,

    // Seek +0x03 (to 0x00008d78)
    0xff, 0x03,
    0x00, 0x00, 0x00, 0x00, 0x00,

    // Seek +0x0a17 (to 0x00009794)
    0xff, 0xff, 0x0a, 0x17,
    0x02, 0x75,

    // Seek +0x21a8 (to 0x0000b93e)
    0xff, 0xff, 0x21, 0xa8,
    0x13,

    // Seek +0x027e (to 0x0000bbbd)
    0xff, 0xff, 0x02, 0x7e,
    0x46, 0x0e, 0x03, 0x46, 0x0a, 0x89, 0x46, 0xfa, 0x8b, 0x46, 0x0c, 0x03,
    0x46, 0x08, 0x89, 0x46, 0xf8, 0x0b, 0xc0, 0x7d, 0x03, 0xe9, 0x79, 0x03,
    0x83, 0x7e, 0xfa, 0x00, 0x7d, 0x03, 0xe9, 0x70, 0x03, 0x3d, 0x20, 0x00,
    0x7c, 0x03, 0xe9, 0x68, 0x03,

    // Seek +0x21 (to 0x0000bc07)
    0xff, 0x21,
    0x2b, 0x75, 0x32, 0xff, 0x00, 0x76, 0x0a, 0xff, 0x00, 0x76, 0x08, 0x9a,
    0xbe, 0x22, 0x5d, 0x0e, 0x83, 0xc4, 0x04, 0x8b, 0xf0, 0x0b, 0xf6, 0x7d,
    0x03, 0xe9, 0x2d, 0x03, 0x8b, 0xd8, 0xc1, 0xe3, 0x02, 0x03, 0xd8, 0xd1,
    0xe3, 0x8b, 0x36, 0x80, 0x16, 0xc4, 0xb4, 0x42, 0x09, 0x26, 0x83, 0x78,
    0x08, 0x01, 0x75, 0x03, 0xe9, 0x12, 0x03,

    // Seek +0x11 (to 0x0000bc4d)
    0xff, 0x11,
    0x1b,

    // Seek +0x16 (to 0x0000bc64)
    0xff, 0x16,
    0x75, 0x03, 0xe9, 0xe5, 0x02, 0x8b, 0x5e, 0xf4, 0x8b, 0x36, 0x80, 0x16,
    0x8a, 0x00, 0x88, 0x46, 0xfd,

    // Seek +0x42 (to 0x0000bcb7)
    0xff, 0x42,
    0xeb, 0x4a, 0x90,

    // Seek +0x0108 (to 0x0000bdc2)
    0xff, 0xff, 0x01, 0x08,
    0xa2, 0x10,

    // Seek +0xa4 (to 0x0000be68)
    0xff, 0xa4,
    0xa6,

    // Seek +0x18 (to 0x0000be81)
    0xff, 0x18,
    0x0b, 0xf6, 0x75, 0x5d, 0x2a, 0xe4, 0x2d, 0x23, 0x00, 0x74, 0x10, 0x48,
    0x74, 0x1b, 0x2d, 0x03, 0x00, 0x74, 0x2c, 0x48, 0x74, 0x3b, 0xe9, 0x81,
    0x00, 0x90, 0x90, 0xff, 0x00, 0x76, 0x06, 0x9a, 0xac, 0x1f, 0xb8, 0x10,
    0x83, 0xc4, 0x02, 0xeb, 0x72, 0x90, 0x6a, 0x00, 0xff, 0x00, 0x76, 0xfa,
    0xff, 0x00, 0x76, 0xf8, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x42, 0x24, 0xcb,
    0x10, 0x83, 0xc4, 0x08, 0xeb, 0x5c, 0x90, 0x6a, 0x00, 0xff, 0x00, 0x76,
    0xfa, 0xff, 0x00, 0x76, 0xf8, 0x9a, 0x1a, 0x21, 0xda, 0x10, 0x83, 0xc4,
    0x06, 0xeb, 0x49, 0x6a, 0x00, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x6a, 0x1e,
    0x74, 0x11, 0x83, 0xc4, 0x04, 0xeb, 0x3a, 0x90, 0x0b, 0xf6, 0x74, 0x35,
    0x80, 0x7e, 0xfd, 0x23, 0x74, 0x12, 0x80, 0x7e, 0xfd, 0x28, 0x74, 0x0c,
    0x80, 0x7e, 0xfd, 0x27, 0x74, 0x06, 0x80, 0x7e, 0xfd, 0x24, 0x75, 0x1d,
    0xc7, 0x04, 0x01, 0x00, 0x8b, 0x46, 0xf8, 0x89, 0x44, 0x02, 0x8b, 0x46,
    0xfa, 0x89, 0x44, 0x04, 0xeb, 0x0b, 0x8b, 0x5e, 0x12, 0x0b, 0xdb, 0x74,
    0x04, 0xc7, 0x07, 0x00, 0x00,

    // Seek +0x75 (to 0x0000bf90)
    0xff, 0x75,
    0x1c,

    // Seek +0xc4 (to 0x0000c055)
    0xff, 0xc4,
    0x75, 0x03, 0xe9, 0x61, 0xff, 0x00, 0x3c, 0x1a, 0x75, 0x03, 0xe9, 0x5a,
    0xff, 0x00, 0x3c, 0x1b, 0x75, 0x03, 0xe9, 0x53, 0xff, 0x00, 0x3c, 0x1d,
    0x75, 0x03, 0xe9, 0x4c, 0xff, 0x00, 0x3c, 0x1c, 0x75, 0x03, 0xe9, 0x45,
    0xff, 0x00, 0x3c, 0x29, 0x75, 0x03, 0xe9, 0x3e, 0xff, 0x00,

    // Seek +0x94 (to 0x0000c111)
    0xff, 0x94,
    0x4a,

    // Seek +0x19 (to 0x0000c12b)
    0xff, 0x19,
    0xea,

    // Seek +0x11 (to 0x0000c13d)
    0xff, 0x11,
    0x03, 0xe9, 0x87, 0x00, 0xff, 0x00, 0x76, 0xf6, 0xff, 0x00, 0x76, 0xf8,
    0x9a, 0x58, 0x00, 0xdf, 0x13, 0x83, 0xc4, 0x04, 0x89, 0x46, 0xfc, 0x40,
    0x74, 0x3d, 0x8b, 0x46, 0xfc, 0x8b, 0xc8, 0xc1, 0xe0, 0x02, 0x03, 0xc1,
    0xd1, 0xe0, 0x03, 0xc1,

    // Seek +0x17 (to 0x0000c17a)
    0xff, 0x17,
    0x08,

    // Seek +0x04 (to 0x0000c17f)
    0xff, 0x04,
    0x0a,

    // Seek +0x03 (to 0x0000c183)
    0xff, 0x03,
    0xdf, 0x04, 0x03, 0x46, 0x08, 0x75, 0x08, 0x03, 0x4e, 0x0a, 0x75, 0x03,
    0xe9, 0xd2, 0x04, 0x8d, 0x46, 0xea,

    // Seek +0x14 (to 0x0000c1a9)
    0xff, 0x14,
    0xae, 0x0d,

    // Seek +0x02aa (to 0x0000c455)
    0xff, 0xff, 0x02, 0xaa,
    0x3c, 0x18,

    // Seek +0x59 (to 0x0000c4b0)
    0xff, 0x59,
    0x2a,

    // Seek +0x34 (to 0x0000c4e5)
    0xff, 0x34,
    0x6f,

    // Seek +0x0a (to 0x0000c4f0)
    0xff, 0x0a,
    0xe9, 0x81, 0x00,

    // Seek +0x19 (to 0x0000c50c)
    0xff, 0x19,
    0x5d, 0x77, 0x65, 0x2c, 0x23, 0x74, 0x11, 0xfe, 0xc8, 0x74, 0x17, 0x2c,
    0x03, 0x74, 0x2b, 0xfe, 0xc8, 0x74, 0x3b, 0xeb, 0x53, 0x90, 0x90, 0x90,
    0xff, 0x00, 0x76, 0x06, 0x9a, 0xac, 0x1f, 0x3e, 0x17, 0xeb, 0x43, 0x6a,
    0x01, 0xff, 0x00, 0xb7, 0x0a, 0x08, 0xff, 0x00, 0xb7, 0x08, 0x08, 0xff,
    0x00, 0x76, 0x06, 0x9a, 0x42, 0x24, 0x53, 0x17, 0x83, 0xc4, 0x08, 0xeb,
    0x2f, 0x90, 0x6a, 0x01, 0xff, 0x00, 0xb7, 0x0a, 0x08, 0xff, 0x00, 0xb7,
    0x08, 0x08, 0x9a, 0x1a, 0x21, 0x62, 0x17, 0x83, 0xc4, 0x06, 0xeb, 0x1a,
    0x6a, 0x01, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x6a, 0x1e, 0xa6, 0x17, 0x83,
    0xc4, 0x04, 0xeb, 0x0b, 0x90, 0x6a, 0x08, 0x9a, 0xbe, 0x0c, 0xef, 0x17,
    0x83, 0xc4, 0x02, 0x83, 0x7e, 0xea, 0x00, 0x74, 0x69, 0x8b, 0x76, 0xee,
    0xc1, 0xe6, 0x05, 0x03, 0x76, 0xec, 0x8b, 0x1e, 0x80, 0x16, 0x8a, 0x80,
    0x00, 0x04, 0x2a, 0xe4, 0x2d, 0x23, 0x00, 0x74, 0x0e, 0x48, 0x74, 0x19,
    0x2d, 0x03, 0x00, 0x74, 0x2a, 0x48, 0x74, 0x39, 0xeb, 0x44, 0x90, 0xff,
    0x00, 0x76, 0x06, 0x9a, 0xac, 0x1f, 0xbc, 0x17, 0x83, 0xc4, 0x02, 0xeb,
    0x36, 0x90, 0x6a, 0x00, 0xff, 0x00, 0x76, 0xee, 0xff, 0x00, 0x76, 0xec,
    0xff, 0x00, 0x76, 0x06, 0x9a, 0x42, 0x24, 0xcf, 0x17, 0x83, 0xc4, 0x08,
    0xeb, 0x20, 0x90, 0x6a, 0x00, 0xff, 0x00, 0x76, 0xee, 0xff, 0x00, 0x76,
    0xec, 0x9a, 0x1a, 0x21, 0xde, 0x17, 0x83, 0xc4, 0x06, 0xeb, 0x0d, 0x6a,
    0x00, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x6a, 0x1e, 0x94, 0x18, 0x83, 0xc4,
    0x04,

    // Seek +0x0103 (to 0x0000c6e6)
    0xff, 0xff, 0x01, 0x03,
    0x1a,

    // Seek +0x30 (to 0x0000c717)
    0xff, 0x30,
    0x83, 0x7e, 0xf0, 0x00, 0x7d, 0x03, 0xe9, 0x84, 0x03, 0x0b, 0xc0, 0x7d,
    0x03, 0xe9, 0x7d, 0x03,

    // Seek +0x6c (to 0x0000c793)
    0xff, 0x6c,
    0x1b,

    // Seek +0x16 (to 0x0000c7aa)
    0xff, 0x16,
    0x75, 0x03, 0xe9, 0xf5, 0x02, 0x8b, 0x5e, 0xe8, 0x03, 0x1e, 0x80, 0x16,
    0x8a, 0x07, 0x88, 0x46,

    // Seek +0xee (to 0x0000c8a8)
    0xff, 0xee,
    0x76,

    // Seek +0x1b (to 0x0000c8c4)
    0xff, 0x1b,
    0x55, 0x16,

    // Seek +0x75 (to 0x0000c93b)
    0xff, 0x75,
    0x83, 0x7e, 0xec, 0x01, 0x74, 0x03, 0xe9, 0x11, 0x01, 0x89, 0x7e, 0xf2,
    0x89, 0x76, 0xf4,

    // Seek +0x11 (to 0x0000c95b)
    0xff, 0x11,
    0x2a, 0xe4, 0x2d, 0x23, 0x00, 0x74, 0x0e, 0x48, 0x74, 0x19, 0x2d, 0x03,
    0x00, 0x74, 0x2a, 0x48, 0x74, 0x3b, 0xe9, 0xe5, 0x00, 0xff, 0x00, 0x76,
    0x06, 0x9a, 0xac, 0x1f, 0x8c, 0x1b, 0x83, 0xc4, 0x02, 0xe9, 0xd7, 0x00,
    0x6a, 0x00, 0xff, 0x00, 0x76, 0xee, 0xff, 0x00, 0x76, 0xf0, 0xff, 0x00,
    0x76, 0x06, 0x9a, 0x42, 0x24, 0x9f, 0x1b, 0x83, 0xc4, 0x08, 0xe9, 0xc1,
    0x00, 0x6a, 0x00, 0xff, 0x00, 0x76, 0xee, 0xff, 0x00, 0x76, 0xf0, 0x9a,
    0x1a, 0x21, 0xb4, 0x1b, 0x83, 0xc4, 0x06, 0xe9, 0xae, 0x00, 0x90, 0x8b,
    0x7e, 0x0c, 0xff, 0x00, 0x76, 0xf4, 0xff, 0x00, 0x76, 0xf2, 0x9a, 0x00,
    0x00, 0x1b, 0x1c, 0x83, 0xc4, 0x04, 0x8b, 0xf0, 0x83, 0xfe, 0xff, 0x00,
    0x74, 0x53, 0x8b, 0x7e, 0x0c, 0x8b, 0x46, 0xf0, 0x8b, 0xce, 0xc1, 0xe1,
    0x02, 0x03, 0xce, 0xd1, 0xe1, 0x03, 0xce, 0x8b, 0x1e, 0x80, 0x16, 0xc4,
    0x9f, 0x2e, 0x09, 0x03, 0xd9, 0x26, 0x89, 0x47, 0x01, 0x8b, 0x1e, 0x80,
    0x16, 0xc4, 0x9f, 0x2e, 0x09, 0x03, 0xd9, 0x8b, 0x46, 0xee, 0x26, 0x89,
    0x47, 0x03, 0x8b, 0x05, 0x8b, 0x1e, 0x80, 0x16, 0xc4, 0x9f, 0x2e, 0x09,
    0x03, 0xd9, 0x26, 0x89, 0x47, 0x05, 0x8b, 0x5e, 0x0e, 0x8b, 0x07, 0x8b,
    0x1e, 0x80, 0x16, 0xc4, 0x9f, 0x2e, 0x09, 0x03, 0xd9, 0x26, 0x89, 0x47,
    0x07, 0x6a, 0x00, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x6a, 0x1e, 0xc4, 0x1c,
    0x83, 0xc4, 0x04, 0x83, 0xfe, 0xff, 0x00, 0x74, 0x30, 0x8b, 0xde, 0x8b,
    0xc6, 0xc1, 0xe3, 0x02, 0x03, 0xd8, 0xd1, 0xe3, 0x03, 0xd8, 0x8b, 0x36,
    0x80, 0x16, 0xc4, 0xb4, 0x2e, 0x09, 0x26, 0x8b, 0x40, 0x05, 0x89, 0x05,
    0x8b, 0x36, 0x80, 0x16, 0x8b, 0xc3, 0xc4, 0x9c, 0x2e, 0x09, 0x8b, 0xf0,
    0x26, 0x8b, 0x40, 0x07, 0x8b, 0x5e, 0x0e, 0x89, 0x07,

    // Seek +0x4f (to 0x0000caa4)
    0xff, 0x4f,
    0x8b, 0x1e, 0x80, 0x16,

    // Seek +0x1c (to 0x0000cac4)
    0xff, 0x1c,
    0x2e, 0x16,

    // Seek +0x0e (to 0x0000cad4)
    0xff, 0x0e,
    0x11, 0x00, 0x02, 0x00, 0x02, 0x1b, 0x02, 0x00, 0x00, 0x00, 0x02, 0x00,
    0x53, 0x1a, 0x03, 0x00, 0x00, 0x00, 0x02, 0x00, 0x89, 0x15, 0x04, 0x00,
    0x00, 0x00, 0x02, 0x00, 0xdf, 0x0c, 0x06, 0x00, 0x00, 0x00, 0x02, 0x00,
    0x15, 0x1a, 0x07, 0x00, 0x00, 0x00, 0x02, 0x00, 0x23, 0x1a, 0x08, 0x00,
    0x00, 0x00, 0x03, 0x01, 0xc1, 0x0b, 0x02, 0x00, 0x22, 0x00, 0x03, 0x01,
    0x69, 0x0a, 0x02, 0x00, 0x23, 0x00, 0x03, 0x01, 0xe9, 0x0c, 0x01, 0x00,
    0x33, 0x00, 0x03, 0x01, 0x08, 0x0d, 0x01, 0x00, 0x34, 0x00, 0x03, 0x01,
    0x2c, 0x0c, 0x03, 0x00, 0xa4, 0x01, 0x03, 0x01, 0xa0, 0x0b, 0x02, 0x00,
    0x2d, 0x00, 0x03, 0x01, 0x8f, 0x0b, 0x03, 0x00, 0xaf, 0x00, 0x03, 0x01,
    0xd3, 0x0b, 0x02, 0x00, 0x45, 0x00, 0x03, 0x01, 0x89, 0x0a, 0x03, 0x00,
    0x42, 0x00, 0x03, 0x01, 0xbd, 0x0c, 0x03, 0x00, 0x44, 0x00, 0x03, 0x01,
    0x01, 0x0d, 0x03, 0x00, 0x57, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,

    // Seek +0x8fb9 (to 0x00015b60)
    0xff, 0xff, 0x8f, 0xb9,
    0x00, 0x04, 0x80, 0x70, 0x1a, 0x70, 0x00, 0x04, 0x77, 0x07, 0x1e, 0x07,
    0xa0,

    // Seek +0x1c (to 0x00015b89)
    0xff, 0x1c,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x36 (to 0x00015bc5)
    0xff, 0x36,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x4a (to 0x00015c15)
    0xff, 0x4a,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x58 (to 0x00015c73)
    0xff, 0x58,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x5a (to 0x00015cd3)
    0xff, 0x5a,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x82 (to 0x00015d5b)
    0xff, 0x82,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xa4 (to 0x00015e05)
    0xff, 0xa4,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x9e (to 0x00015ea9)
    0xff, 0x9e,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xb4 (to 0x00015f63)
    0xff, 0xb4,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xb8 (to 0x00016021)
    0xff, 0xb8,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xbc (to 0x000160e3)
    0xff, 0xbc,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xb8 (to 0x000161a1)
    0xff, 0xb8,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xbe (to 0x00016265)
    0xff, 0xbe,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xb2 (to 0x0001631d)
    0xff, 0xb2,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xb2 (to 0x000163d5)
    0xff, 0xb2,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xa8 (to 0x00016483)
    0xff, 0xa8,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xb2 (to 0x0001653b)
    0xff, 0xb2,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xaa (to 0x000165eb)
    0xff, 0xaa,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xa8 (to 0x00016699)
    0xff, 0xa8,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0xaa (to 0x00016749)
    0xff, 0xaa,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x98 (to 0x000167e7)
    0xff, 0x98,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x9a (to 0x00016887)
    0xff, 0x9a,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x8e (to 0x0001691b)
    0xff, 0x8e,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x62 (to 0x00016983)
    0xff, 0x62,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x64 (to 0x000169ed)
    0xff, 0x64,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x46 (to 0x00016a39)
    0xff, 0x46,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x44 (to 0x00016a83)
    0xff, 0x44,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x32 (to 0x00016abb)
    0xff, 0x32,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x30 (to 0x00016af1)
    0xff, 0x30,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x2e (to 0x00016b25)
    0xff, 0x2e,
    0xf8, 0x1c, 0x88, 0x00, 0x04, 0x87,

    // Seek +0x2a (to 0x00016b55)
    0xff, 0x2a,
    0xff, 0x00, 0x1c, 0xff, 0x00, 0x00, 0x04, 0xf7,

    // Seek +0x0001c295 (to 0x00032df0)
    0xff, 0xff, 0xff, 0xff, 0x00, 0x01, 0xc2, 0x95,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032e24)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032e58)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032e8c)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032ec0)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032ef4)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032f28)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032f5c)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032f90)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032fc4)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00032ff8)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x0003302c)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033060)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033094)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x000330c8)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x000330fc)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033130)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033164)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033198)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x000331cc)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033200)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033234)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033268)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x0003329c)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x000332d0)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033304)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x00033338)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x30 (to 0x0003336c)
    0xff, 0x30,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xfe,

    // Seek +0x33 (to 0x000333a3)
    0xff, 0x33,
    0xfe,

    // Seek +0x33 (to 0x000333d7)
    0xff, 0x33,
    0xfe,

    // Seek +0xe228 (to 0x00041600)
    0xff, 0xff, 0xe2, 0x28,

    // End of patch
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

static const uint8_t pg_patch[] = {
    // Seek +0x0452 (to 0x00000452)
    0xff, 0xff, 0x04, 0x52,
    0x2e, 0x2b, 0x10, 0x1d, 0x2e, 0x2b,

    // Seek +0x1a (to 0x00000472)
    0xff, 0x1a,
    0x1e, 0x1d, 0x10, 0x1d, 0x1e, 0x1d,

    // Seek +0x4a08 (to 0x00004e80)
    0xff, 0xff, 0x4a, 0x08,
    0x02,

    // Seek +0x05 (to 0x00004e86)
    0xff, 0x05,
    0x02,

    // Seek +0x21 (to 0x00004ea8)
    0xff, 0x21,
    0x01,

    // Seek +0x07 (to 0x00004eb0)
    0xff, 0x07,
    0x02,

    // Seek +0x010b (to 0x00004fbc)
    0xff, 0xff, 0x01, 0x0b,
    0x01,

    // Seek +0x2880 (to 0x0000783d)
    0xff, 0xff, 0x28, 0x80,
    0xd4, 0x1c,

    // Seek +0x66 (to 0x000078a5)
    0xff, 0x66,
    0xd4, 0x1c,

    // Seek +0x0619 (to 0x00007ec0)
    0xff, 0xff, 0x06, 0x19,
    0x80, 0xbf, 0x00, 0x04, 0x31, 0x74, 0x73, 0x8a, 0x07, 0x88, 0x46, 0xfd,
    0x8a, 0xd8, 0x2a, 0xff, 0x00, 0x8b, 0xc3, 0xd1, 0xe3, 0x03, 0xd8, 0xd1,
    0xe3, 0x8d, 0x7e, 0xf6, 0x8d, 0xb7, 0x6c, 0x06, 0x8c, 0xd0, 0x8e, 0xc0,
    0xa5, 0xa5, 0xa5, 0x8a, 0x46, 0xf9, 0x2a, 0xe4, 0x8b, 0x5e, 0x10, 0x89,
    0x07, 0x80, 0x7e, 0xf8, 0x01, 0x75, 0x06, 0xb8, 0x01, 0x00, 0xeb, 0x46,
    0x90, 0x80, 0x7e, 0xf8, 0x02, 0x75, 0x38, 0x8a, 0x46, 0xfd, 0x3c, 0x0b,
    0x75, 0x08, 0x80, 0x7e, 0x06, 0x38, 0x74, 0xe7, 0xeb, 0x29, 0x3c, 0x04,
    0x7f, 0x0d, 0x80, 0x7e, 0x06, 0x38, 0x75, 0xdb, 0x81, 0x07, 0x07, 0x00,
    0xeb, 0xd5, 0x90,

    // Seek +0x17 (to 0x00007f39)
    0xff, 0x17,
    0x07,

    // Seek +0x0714 (to 0x0000864e)
    0xff, 0xff, 0x07, 0x14,
    0x10,

    // Seek +0xfb (to 0x0000874a)
    0xff, 0xfb,
    0x91, 0x26,

    // Seek +0x14 (to 0x00008760)
    0xff, 0x14,
    0xc7, 0x46, 0xf2, 0xff, 0x00, 0xff, 0x00, 0x8a, 0x46, 0xfd, 0x3c, 0x38,
    0x75, 0x27, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8b, 0x5e,
    0x0a, 0xc1, 0xe3, 0x05, 0x03, 0x5e, 0x08, 0x8b, 0x36, 0x80, 0x16, 0x8a,
    0x80, 0x00, 0x04, 0x3c, 0x31, 0x74, 0x7c, 0x89, 0x46, 0xf2, 0xc6, 0x80,
    0x00, 0x04, 0x31, 0xeb, 0x04, 0xc6, 0x46, 0xfd, 0x0a, 0x2a, 0xe4, 0x2d,
    0x0e, 0x00, 0x74, 0x0b, 0x48, 0x74, 0x0f, 0x48, 0x74, 0x14, 0x48, 0x74,
    0x1d, 0xeb, 0x25, 0xc7, 0x46, 0xf6, 0xff, 0x00, 0xff, 0x00, 0xeb, 0x0d,
    0xc7, 0x46, 0xf4, 0xff, 0x00, 0xff, 0x00, 0xeb, 0x12, 0x90, 0xc7, 0x46,
    0xf6, 0x01, 0x00, 0xc7, 0x46, 0xf4, 0x00, 0x00, 0xeb, 0x0a, 0xc7, 0x46,
    0xf4, 0x01, 0x00, 0xc7, 0x46, 0xf6, 0x00, 0x00, 0x6a, 0x00, 0x8a, 0x46,
    0xfd, 0x28, 0xe4, 0x50, 0xff, 0x00, 0x76, 0xf6, 0xff, 0x00, 0x76, 0xf4,
    0xff, 0x00, 0x76, 0xf8, 0xff, 0x00, 0x76, 0xfa, 0xff, 0x00, 0x76, 0x06,
    0x9a, 0xd4, 0x1c, 0x4e, 0x28, 0x83, 0xc4, 0x0e, 0x8b, 0x46, 0xf2, 0x3c,
    0xff, 0x00, 0x74, 0x11, 0x8b, 0x5e, 0x0a, 0xc1, 0xe3, 0x05, 0x03, 0x5e,
    0x08, 0x8b, 0x36, 0x80, 0x16, 0x88, 0x80, 0x00, 0x04,

    // Seek +0x018d (to 0x00008992)
    0xff, 0xff, 0x01, 0x8d,
    0x2b, 0x5e, 0x0e, 0xc1, 0xe3, 0x05, 0x03, 0x1c, 0x2b, 0x5e, 0x0c, 0x8b,
    0x36, 0x80, 0x16, 0x8a, 0x00, 0x88, 0x46, 0xf9, 0x90, 0x90, 0x90, 0x90,
    0x0b, 0xff, 0x00, 0x7d, 0x03, 0xe9, 0x56, 0x01, 0x89, 0x7e, 0xf6, 0x89,
    0x7e, 0xf2, 0x8b, 0x7e, 0x0e, 0xe9, 0xf9, 0x00, 0x8b, 0x1e, 0x80, 0x16,
    0xc4, 0x9f, 0x56, 0x09, 0x8b, 0x76, 0xf6, 0xc1, 0xe6, 0x02, 0x26, 0x8b,
    0x00, 0x89, 0x46, 0xfa, 0x01, 0xf3, 0x26, 0x8b, 0x4f, 0x02, 0x89, 0x4e,
    0xfc, 0x89, 0xcb, 0xc1, 0xe3, 0x05, 0x01, 0xc3, 0x8b, 0x36, 0x80, 0x16,
    0x80, 0x38, 0x29, 0x75, 0xd0, 0x8b, 0x76, 0x0c, 0x01, 0x7e, 0xfc, 0x78,
    0xc8, 0x01, 0x76, 0xfa, 0x78, 0xc3, 0x81, 0x7e, 0xfc, 0x20, 0x00, 0x7d,
    0xbc, 0x81, 0x7e, 0xfa, 0x20, 0x00, 0x7d, 0xb5, 0x8b, 0x5e, 0xfc, 0xc1,
    0xe3, 0x05, 0x03, 0x5e, 0xfa, 0x03, 0x1e, 0x80, 0x16, 0x8b, 0x46, 0x10,
    0x09, 0xc0, 0x75, 0x0c, 0x80, 0x3f, 0x0a, 0x74, 0x1d, 0x90, 0x90, 0x90,
    0x90, 0x90, 0xeb, 0x11, 0x48, 0x74, 0x54, 0x8a, 0x46, 0xf9, 0xc0, 0xe8,
    0x02, 0x3c, 0x13, 0x74, 0x04, 0x3c, 0x15, 0x75, 0x21, 0x80, 0x3f, 0x38,
    0x75, 0x1c, 0x6a, 0x00, 0x68, 0xff, 0x00, 0x00, 0x57, 0x56, 0xff, 0x00,
    0x76, 0xfc, 0xff, 0x00, 0x76, 0xfa, 0xff, 0x00, 0x76, 0x06, 0x9a, 0xd4,
    0x1c, 0x3f, 0x16, 0x83, 0xc4, 0x0e, 0x0b, 0xc0, 0x74, 0x5f, 0x81, 0x7e,
    0x10, 0x00, 0x00, 0x75, 0x3c,

    // Seek +0x48 (to 0x00008aa6)
    0xff, 0x48,
    0x6a, 0x29, 0x90, 0x90,

    // Seek +0x24 (to 0x00008ace)
    0xff, 0x24,
    0x38, 0xe9, 0xeb, 0xfe, 0x90, 0x90,

    // Seek +0xbf (to 0x00008b93)
    0xff, 0xbf,
    0xa8, 0x2a,

    // Seek +0xdb (to 0x00008c70)
    0xff, 0xdb, 0x8c, 0xd8, 0x90, 0x45, 0x55, 0x8b, 0xec, 0x1e, 0x8e, 0xd8,
    0x57, 0x56, 0x8b, 0x76, 0x0a, 0xc1, 0xe6, 0x05, 0x03, 0x76, 0x08, 0x8b,
    0x1e, 0x80, 0x16, 0x8a, 0x80, 0x00, 0x04, 0x2a, 0xe4, 0x2d, 0x23, 0x00,
    0x74, 0x0e, 0x48, 0x74, 0x18, 0x2d, 0x03, 0x00, 0x74, 0x29, 0x48, 0x74,
    0x39, 0xeb, 0x45, 0x90, 0xff, 0x00, 0x76, 0x06, 0x9a, 0xac, 0x1f, 0xbe,
    0x2a, 0x83, 0xc4, 0x02, 0xeb, 0x37, 0xff, 0x00, 0x76, 0x0c, 0xff, 0x00,
    0x76, 0x0a, 0xff, 0x00, 0x76, 0x08, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x42,
    0x24, 0xd1, 0x2a, 0x83, 0xc4, 0x08, 0xeb, 0x21, 0xff, 0x00, 0x76, 0x0c,
    0xff, 0x00, 0x76, 0x0a, 0xff, 0x00, 0x76, 0x08, 0x9a, 0x1a, 0x21, 0xe1,
    0x2a, 0x83, 0xc4, 0x06, 0xeb, 0x0e, 0xff, 0x00, 0x76, 0x0c, 0xff, 0x00,
    0x76, 0x06, 0x9a, 0x6a, 0x1e, 0x1d, 0x2b, 0x83, 0xc4, 0x04, 0x5e, 0x5f,
    0x8d, 0x66, 0xfe, 0x1f, 0x5d, 0x4d, 0xcb, 0x90, 0x8c, 0xd8, 0x90, 0x45,
    0x55, 0x8b, 0xec, 0x1e, 0x8e, 0xd8, 0x57, 0x56, 0x8b, 0x76, 0x0a, 0x8b,
    0x1c, 0x0b, 0xdb, 0x74, 0x1f, 0xff, 0x00, 0x76, 0x08, 0xc1, 0xe3, 0x01,
    0x2a, 0xe4, 0x8a, 0x80, 0x01, 0x00, 0x50, 0x8a, 0x00, 0x50, 0xff, 0x00,
    0x76, 0x06, 0xff, 0x00, 0x0c, 0x9a, 0x70, 0x2a, 0x01, 0x25, 0x83, 0xc4,
    0x08, 0xeb, 0xd8, 0x5e, 0x5f, 0x8d, 0x66, 0xfe, 0x1f, 0x5d, 0x4d, 0xcb,
    0x90, 0x0a, 0x00, 0x02, 0x00, 0x3e, 0x07, 0x01,

    // Seek +0x03 (to 0x00008d38)
    0xff, 0x03,
    0x02, 0x00, 0x58, 0x25, 0x02,

    // Seek +0x03 (to 0x00008d40)
    0xff, 0x03,
    0x02, 0x00, 0xad, 0x28, 0x03,

    // Seek +0x03 (to 0x00008d48)
    0xff, 0x03,
    0x02, 0x00, 0x25, 0x17, 0x04,

    // Seek +0x03 (to 0x00008d50)
    0xff, 0x03,
    0x03, 0x01, 0xea, 0x01, 0x01, 0x00, 0x0f, 0x00, 0x03, 0x01, 0xd7, 0x01,
    0x01, 0x00, 0x10, 0x00, 0x03, 0x01, 0xff, 0x00, 0x01, 0x01, 0x00, 0x12,
    0x00, 0x03, 0x01, 0xbd, 0x01, 0x01, 0x00, 0x13, 0x00, 0x02, 0x00, 0xe8,
    0x25, 0x07,

    // Seek +0x03 (to 0x00008d78)
    0xff, 0x03,
    0x02, 0x00, 0xdb, 0x28, 0x08,

    // Seek +0x0a17 (to 0x00009794)
    0xff, 0xff, 0x0a, 0x17,
    0x03, 0x77,

    // Seek +0x21a8 (to 0x0000b93e)
    0xff, 0xff, 0x21, 0xa8,
    0x1b,

    // Seek +0x027e (to 0x0000bbbd)
    0xff, 0xff, 0x02, 0x7e,
    0x5e, 0x12, 0xc7, 0x07, 0x00, 0x00, 0x90, 0x90, 0x8b, 0x46, 0x0e, 0x03,
    0x46, 0x0a, 0x89, 0x46, 0xfa, 0x8b, 0x46, 0x0c, 0x03, 0x46, 0x08, 0x89,
    0x46, 0xf8, 0x0b, 0xc0, 0x7c, 0x11, 0x83, 0x7e, 0xfa, 0x00, 0x7c, 0x0b,
    0x3d, 0x20, 0x00, 0x7d, 0x06,

    // Seek +0x21 (to 0x0000bc07)
    0xff, 0x21,
    0x0e, 0x7c, 0x04, 0x3c, 0x12, 0x7c, 0xde, 0x3c, 0x2b, 0x75, 0x2a, 0xff,
    0x00, 0x76, 0x0a, 0xff, 0x00, 0x76, 0x08, 0x9a, 0xbe, 0x22, 0x5d, 0x0e,
    0x83, 0xc4, 0x04, 0x09, 0xc0, 0x7c, 0xc8, 0x8b, 0xd8, 0xc1, 0xe3, 0x02,
    0x03, 0xd8, 0xd1, 0xe3, 0x8b, 0x36, 0x80, 0x16, 0xc4, 0xb4, 0x42, 0x09,
    0x26, 0x83, 0x78, 0x08, 0x01, 0x74, 0xb0,

    // Seek +0x11 (to 0x0000bc4d)
    0xff, 0x11,
    0x18,

    // Seek +0x16 (to 0x0000bc64)
    0xff, 0x16,
    0x74, 0x86, 0x8b, 0x5e, 0xf4, 0x8b, 0x36, 0x80, 0x16, 0x8a, 0x00, 0x88,
    0x46, 0xfd, 0xe9, 0x11, 0x09,

    // Seek +0x42 (to 0x0000bcb7)
    0xff, 0x42,
    0xe9, 0xfe, 0x08,

    // Seek +0x0108 (to 0x0000bdc2)
    0xff, 0xff, 0x01, 0x08,
    0x74, 0x11,

    // Seek +0xa4 (to 0x0000be68)
    0xff, 0xa4,
    0xb1,

    // Seek +0x18 (to 0x0000be81)
    0xff, 0x18,
    0x8b, 0x1c, 0x43, 0x89, 0x1c, 0xd1, 0xe3, 0x8b, 0x46, 0xf8, 0x88, 0x00,
    0x8b, 0x46, 0xfa, 0x88, 0x40, 0x01, 0xe9, 0x85, 0x00, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

    // Seek +0x75 (to 0x0000bf90)
    0xff, 0x75,
    0x3e,

    // Seek +0xc4 (to 0x0000c055)
    0xff, 0xc4,
    0x74, 0x9a, 0x3c, 0x1a, 0x7c, 0x04, 0x3c, 0x1d, 0x7e, 0x92, 0x3c, 0x29,
    0x74, 0x8e, 0xeb, 0x18, 0x90, 0x8c, 0xd8, 0x90, 0x45, 0x55, 0x8b, 0xec,
    0x1e, 0x8e, 0xd8, 0x83, 0xec, 0x0e, 0x56, 0x90, 0xe9, 0xd4, 0x00, 0x90,
    0x90, 0x90, 0x90, 0x90,

    // Seek +0x94 (to 0x0000c111)
    0xff, 0x94,
    0x55,

    // Seek +0x19 (to 0x0000c12b)
    0xff, 0x19,
    0xc2,

    // Seek +0x11 (to 0x0000c13d)
    0xff, 0x11,
    0x54, 0x80, 0x3f, 0x38, 0x74, 0x4f, 0x90, 0x90, 0x90, 0x90, 0x90, 0xeb,
    0x7e, 0x90, 0x90, 0xff, 0x00, 0x76, 0x0a, 0xff, 0x00, 0x76, 0x08, 0x9a,
    0x58, 0x00, 0xdf, 0x13, 0x83, 0xc4, 0x04, 0x40, 0x74, 0x32, 0x48, 0xbb,
    0x0b, 0x00, 0xf7, 0xe3,

    // Seek +0x17 (to 0x0000c17a)
    0xff, 0x17,
    0x0c,

    // Seek +0x04 (to 0x0000c17f)
    0xff, 0x04,
    0x0e,

    // Seek +0x03 (to 0x0000c183)
    0xff, 0x03,
    0xf4, 0xfd, 0x03, 0x46, 0x0c, 0x75, 0x05, 0x03, 0x4e, 0x0e, 0x74, 0xf3,
    0xe9, 0x2a, 0xfa, 0x8d, 0x46, 0xc2,

    // Seek +0x14 (to 0x0000c1a9)
    0xff, 0x14,
    0x66, 0x12,

    // Seek +0x02aa (to 0x0000c455)
    0xff, 0xff, 0x02, 0xaa,
    0x7a, 0x17,

    // Seek +0x59 (to 0x0000c4b0)
    0xff, 0x59,
    0x1d,

    // Seek +0x34 (to 0x0000c4e5)
    0xff, 0x34,
    0x29,

    // Seek +0x0a (to 0x0000c4f0)
    0xff, 0x0a,
    0xeb, 0x3c, 0x90,

    // Seek +0x19 (to 0x0000c50c)
    0xff, 0x19,
    0x17, 0x6a, 0x01, 0xff, 0x00, 0xb7, 0x0a, 0x08, 0xff, 0x00, 0xb7, 0x08,
    0x08, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x70, 0x2a, 0x3a, 0x17, 0x83, 0xc4,
    0x08, 0xeb, 0x0a, 0x6a, 0x08, 0x9a, 0xbe, 0x0c, 0xef, 0x17, 0x83, 0xc4,
    0x02, 0x8d, 0x46, 0xc2, 0x50, 0x6a, 0x00, 0xff, 0x00, 0x76, 0x06, 0x9a,
    0xf0, 0x2a, 0x94, 0x18, 0x83, 0xc4, 0x06, 0xe9, 0xa1, 0x00, 0x8b, 0x5e,
    0xee, 0xc1, 0xe3, 0x05, 0x03, 0x5e, 0xf0, 0x03, 0x1e, 0x80, 0x16, 0x80,
    0x3f, 0x38, 0x75, 0x2f, 0x24, 0xfc, 0x3c, 0x4c, 0x74, 0x07, 0x3c, 0x54,
    0x74, 0x03, 0xe9, 0x43, 0x05, 0x8d, 0x46, 0xc2, 0x50, 0x68, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x76, 0xfa, 0xff, 0x00, 0x76, 0xf6, 0xff, 0x00, 0x76,
    0xee, 0xff, 0x00, 0x76, 0xf0, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x66, 0x12,
    0xb0, 0x17, 0x83, 0xc4, 0x0e, 0x0b, 0xc0, 0x74, 0xdb, 0xe9, 0x35, 0x02,
    0x3c, 0x38, 0x75, 0x2b, 0x8b, 0x5e, 0xfa, 0xc1, 0xe3, 0x05, 0x03, 0x5e,
    0xf8, 0x80, 0x38, 0x38, 0x75, 0x1d, 0xff, 0x00, 0x76, 0x12, 0x68, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x76, 0x0e, 0xff, 0x00, 0x76, 0x0c, 0xff, 0x00,
    0x76, 0xfa, 0xff, 0x00, 0x76, 0xf8, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x66,
    0x12, 0x3c, 0x18, 0x83, 0xc4, 0x0e, 0xe9, 0xbd, 0xf6, 0x48, 0x75, 0x06,
    0xc6, 0x46, 0x10, 0x03, 0xeb, 0x07, 0x48, 0x75, 0x04, 0xc6, 0x46, 0x10,
    0x0c, 0xe9, 0x38, 0xf7, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90,

    // Seek +0x0103 (to 0x0000c6e6)
    0xff, 0xff, 0x01, 0x03,
    0x3e,

    // Seek +0x30 (to 0x0000c717)
    0xff, 0x30,
    0xc7, 0x46, 0xc2, 0x00, 0x00, 0x83, 0x7e, 0xf0, 0x00, 0x7c, 0x13, 0x0b,
    0xc0, 0x7c, 0x0f, 0x90,

    // Seek +0x6c (to 0x0000c793)
    0xff, 0x6c,
    0x18,

    // Seek +0x16 (to 0x0000c7aa)
    0xff, 0x16,
    0x74, 0x2f, 0x8b, 0x5e, 0xe8, 0x03, 0x1e, 0x80, 0x16, 0x8a, 0x07, 0x88,
    0x46, 0xfd, 0xe9, 0x87,

    // Seek +0xee (to 0x0000c8a8)
    0xff, 0xee,
    0x6d,

    // Seek +0x1b (to 0x0000c8c4)
    0xff, 0x1b,
    0xfb, 0x1c,

    // Seek +0x75 (to 0x0000c93b)
    0xff, 0x75,
    0x89, 0x7e, 0xf2, 0x89, 0x76, 0xf4, 0x83, 0x7e, 0xec, 0x01, 0x74, 0x03,
    0xe9, 0x28, 0x00,

    // Seek +0x11 (to 0x0000c95b)
    0xff, 0x11,
    0x3c, 0x28, 0x74, 0x1a, 0x6a, 0x00, 0xff, 0x00, 0x76, 0xee, 0xff, 0x00,
    0x76, 0xf0, 0xff, 0x00, 0x76, 0x06, 0x9a, 0x70, 0x2a, 0x87, 0x1b, 0x83,
    0xc4, 0x08, 0xc7, 0x46, 0xe4, 0x01, 0x00, 0xeb, 0x05, 0xc7, 0x46, 0xe4,
    0x00, 0x00, 0xff, 0x00, 0x76, 0xf4, 0xff, 0x00, 0x76, 0xf2, 0x9a, 0x00,
    0x00, 0xdf, 0x1b, 0x83, 0xc4, 0x04, 0x8b, 0xf0, 0x83, 0xfe, 0xff, 0x00,
    0x74, 0x3d, 0x8b, 0x7e, 0x0c, 0x8b, 0x46, 0xf0, 0x8b, 0xce, 0xc1, 0xe1,
    0x02, 0x03, 0xce, 0xd1, 0xe1, 0x03, 0xce, 0x8b, 0x1e, 0x80, 0x16, 0xc4,
    0x9f, 0x2e, 0x09, 0x03, 0xd9, 0x26, 0x89, 0x47, 0x01, 0x90, 0x90, 0x90,
    0x8b, 0x46, 0xee, 0x26, 0x89, 0x47, 0x03, 0x90, 0x90, 0x90, 0x8b, 0x05,
    0x26, 0x89, 0x47, 0x05, 0x8b, 0x7e, 0x0e, 0x8b, 0x05, 0x26, 0x89, 0x47,
    0x07, 0x89, 0xdf, 0x81, 0x7e, 0xe4, 0x00, 0x00, 0x75, 0x0f, 0x6a, 0x00,
    0xff, 0x00, 0x76, 0x06, 0x9a, 0x6a, 0x1e, 0xf2, 0x1b, 0x83, 0xc4, 0x04,
    0xeb, 0x11, 0x8d, 0x46, 0xc2, 0x50, 0x6a, 0x00, 0xff, 0x00, 0x76, 0x06,
    0x9a, 0xf0, 0x2a, 0x26, 0x1c, 0x83, 0xc4, 0x06, 0x83, 0xfe, 0xff, 0x00,
    0x74, 0x14, 0xeb, 0x33, 0x8b, 0x7e, 0x0c, 0x26, 0x8b, 0x47, 0x05, 0x89,
    0x05, 0x8b, 0x7e, 0x0e, 0x26, 0x8b, 0x47, 0x07, 0x89, 0x05, 0x81, 0x7e,
    0xe4, 0x00, 0x00, 0x75, 0x3e, 0xe9, 0x23, 0x00, 0x8d, 0x46, 0xc2, 0x50,
    0x6a, 0x00, 0xff, 0x00, 0x76, 0x06, 0x9a, 0xf0, 0x2a, 0xc4, 0x1c, 0x83,
    0xc4, 0x06, 0x8b, 0x1e, 0x80, 0x16, 0xeb, 0x77, 0x89, 0xfb, 0x8b, 0x36,
    0x80, 0x16, 0xc4, 0xb4, 0x2e, 0x09, 0xeb, 0xc1, 0xc7, 0x46, 0xe4, 0x01,
    0x00, 0xeb, 0x8a, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,
    0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

    // Seek +0x4f (to 0x0000caa4)
    0xff, 0x4f,
    0xe9, 0x73, 0xff, 0x00, 0x90,

    // Seek +0x1c (to 0x0000cac4)
    0xff, 0x1c,
    0x0e, 0x1d,

    // Seek +0x0e (to 0x0000cad4)
    0xff, 0x0e,
    0x8c, 0xd8, 0x90, 0x45, 0x55, 0x8b, 0xec, 0x1e, 0x8e, 0xd8, 0x83, 0xec,
    0x26, 0x56, 0x8d, 0x46, 0xdc, 0x50, 0xff, 0x00, 0x76, 0x10, 0xff, 0x00,
    0x76, 0x0e, 0xff, 0x00, 0x76, 0x0c, 0xff, 0x00, 0x76, 0x0a, 0xff, 0x00,
    0x76, 0x08, 0xff, 0x00, 0x76, 0x06, 0x9a, 0xae, 0x0d, 0x55, 0x16, 0x83,
    0xc4, 0x0e, 0x89, 0xc6, 0x8d, 0x46, 0xdc, 0x50, 0x6a, 0x00, 0xff, 0x00,
    0x76, 0x06, 0x9a, 0xf0, 0x2a, 0x2e, 0x16, 0x83, 0xc4, 0x06, 0x89, 0xf0,
    0x5e, 0x8d, 0x66, 0xfe, 0x1f, 0x5d, 0x4d, 0xcb, 0x90, 0x11, 0x00, 0x02,
    0x00, 0x02, 0x1b, 0x02, 0x00, 0x00, 0x00, 0x02, 0x00, 0x53, 0x1a, 0x03,
    0x00, 0x00, 0x00, 0x02, 0x00, 0x89, 0x15, 0x04, 0x00, 0x00, 0x00, 0x02,
    0x00, 0xdf, 0x0c, 0x06, 0x00, 0x00, 0x00, 0x02, 0x00, 0x15, 0x1a, 0x07,
    0x00, 0x00, 0x00, 0x02, 0x00, 0x23, 0x1a, 0x08, 0x00, 0x00, 0x00, 0x03,
    0x01, 0xc1, 0x0b, 0x02, 0x00, 0x22, 0x00, 0x03, 0x01, 0x69, 0x0a, 0x02,
    0x00, 0x23, 0x00, 0x03, 0x01, 0xe9, 0x0c, 0x01, 0x00, 0x33, 0x00, 0x03,
    0x01, 0x08, 0x0d, 0x01, 0x00, 0x34, 0x00, 0x03, 0x01, 0x2c, 0x0c, 0x03,
    0x00, 0xa4, 0x01, 0x03, 0x01, 0xa0, 0x0b, 0x02, 0x00, 0x2d, 0x00, 0x03,
    0x01, 0x8f, 0x0b, 0x03, 0x00, 0xaf, 0x00, 0x03, 0x01, 0xd3, 0x0b, 0x02,
    0x00, 0x45, 0x00, 0x03, 0x01, 0x89, 0x0a, 0x03, 0x00, 0x42, 0x00, 0x03,
    0x01, 0xbd, 0x0c, 0x03, 0x00, 0x44, 0x00, 0x03, 0x01, 0x01, 0x0d, 0x03,
    0x00, 0x57,

    // Seek +0x8fb9 (to 0x00015b60)
    0xff, 0xff, 0x8f, 0xb9,
    0x02, 0x80, 0x1c, 0x70, 0x02, 0x77, 0x20, 0x07, 0x20, 0x77, 0x20, 0x04,
    0x60,

    // Seek +0x1c (to 0x00015b89)
    0xff, 0x1c,
    0xc0, 0x1c, 0x40, 0x00, 0x04, 0x40,

    // Seek +0x36 (to 0x00015bc5)
    0xff, 0x36,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0x4a (to 0x00015c15)
    0xff, 0x4a,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x58 (to 0x00015c73)
    0xff, 0x58,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0x5a (to 0x00015cd3)
    0xff, 0x5a,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x82 (to 0x00015d5b)
    0xff, 0x82,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0xa4 (to 0x00015e05)
    0xff, 0xa4,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x9e (to 0x00015ea9)
    0xff, 0x9e,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0xb4 (to 0x00015f63)
    0xff, 0xb4,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0xb8 (to 0x00016021)
    0xff, 0xb8,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0xbc (to 0x000160e3)
    0xff, 0xbc,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0xb8 (to 0x000161a1)
    0xff, 0xb8,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0xbe (to 0x00016265)
    0xff, 0xbe,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0xb2 (to 0x0001631d)
    0xff, 0xb2,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0xb2 (to 0x000163d5)
    0xff, 0xb2,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0xa8 (to 0x00016483)
    0xff, 0xa8,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0xb2 (to 0x0001653b)
    0xff, 0xb2,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0xaa (to 0x000165eb)
    0xff, 0xaa,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0xa8 (to 0x00016699)
    0xff, 0xa8,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0xaa (to 0x00016749)
    0xff, 0xaa,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0x98 (to 0x000167e7)
    0xff, 0x98,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x9a (to 0x00016887)
    0xff, 0x9a,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0x8e (to 0x0001691b)
    0xff, 0x8e,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x62 (to 0x00016983)
    0xff, 0x62,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0x64 (to 0x000169ed)
    0xff, 0x64,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x46 (to 0x00016a39)
    0xff, 0x46,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0x44 (to 0x00016a83)
    0xff, 0x44,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x32 (to 0x00016abb)
    0xff, 0x32,
    0xcc, 0x1c, 0xc4, 0x00, 0x04, 0x04,

    // Seek +0x30 (to 0x00016af1)
    0xff, 0x30,
    0xcc, 0x1c, 0x4c, 0x00, 0x04, 0x40,

    // Seek +0x2e (to 0x00016b25)
    0xff, 0x2e,
    0xcc, 0x1c, 0xcc, 0x00, 0x04, 0x04,

    // Seek +0x2a (to 0x00016b55)
    0xff, 0x2a,
    0xcc, 0x1c, 0xcc, 0x00, 0x04, 0xc0,

    // Seek +0x0001c295 (to 0x00032df0)
    0xff, 0xff, 0xff, 0xff, 0x00, 0x01, 0xc2, 0x95,
    0x80, 0x00, 0x00, 0x00,

    // Seek +0x30 (to 0x00032e24)
    0xff, 0x30,
    0xc0, 0x00, 0x00, 0x00,

    // Seek +0x30 (to 0x00032e58)
    0xff, 0x30,
    0xe0, 0x00, 0x00, 0x00,

    // Seek +0x30 (to 0x00032e8c)
    0xff, 0x30,
    0xfa, 0xaa, 0xaa, 0xb0,

    // Seek +0x30 (to 0x00032ec0)
    0xff, 0x30,
    0xfd, 0x55, 0x55, 0x70,

    // Seek +0x30 (to 0x00032ef4)
    0xff, 0x30,
    0xee, 0xaa, 0xaa, 0xe0,

    // Seek +0x30 (to 0x00032f28)
    0xff, 0x30,
    0xf7, 0x55, 0x55, 0xd0,

    // Seek +0x30 (to 0x00032f5c)
    0xff, 0x30,
    0xeb, 0xaa, 0xab, 0xa0,

    // Seek +0x30 (to 0x00032f90)
    0xff, 0x30,
    0xf5, 0xd5, 0x57, 0x50,

    // Seek +0x30 (to 0x00032fc4)
    0xff, 0x30,
    0xea, 0xea, 0xae, 0xa0,

    // Seek +0x30 (to 0x00032ff8)
    0xff, 0x30,
    0xf5, 0x75, 0x5d, 0x50,

    // Seek +0x30 (to 0x0003302c)
    0xff, 0x30,
    0xea, 0xba, 0xba, 0xa0,

    // Seek +0x30 (to 0x00033060)
    0xff, 0x30,
    0xf5, 0x5d, 0x75, 0x50,

    // Seek +0x30 (to 0x00033094)
    0xff, 0x30,
    0xea, 0xae, 0xea, 0xa0,

    // Seek +0x30 (to 0x000330c8)
    0xff, 0x30,
    0xf5, 0x57, 0xd5, 0x50,

    // Seek +0x30 (to 0x000330fc)
    0xff, 0x30,
    0xea, 0xab, 0xaa, 0xa0,

    // Seek +0x30 (to 0x00033130)
    0xff, 0x30,
    0xf5, 0x57, 0xd5, 0x50,

    // Seek +0x30 (to 0x00033164)
    0xff, 0x30,
    0xea, 0xae, 0xea, 0xa0,

    // Seek +0x30 (to 0x00033198)
    0xff, 0x30,
    0xf5, 0x5d, 0x75, 0x50,

    // Seek +0x30 (to 0x000331cc)
    0xff, 0x30,
    0xea, 0xba, 0xba, 0xa0,

    // Seek +0x30 (to 0x00033200)
    0xff, 0x30,
    0xf5, 0x75, 0x5d, 0x50,

    // Seek +0x30 (to 0x00033234)
    0xff, 0x30,
    0xea, 0xea, 0xae, 0xa0,

    // Seek +0x30 (to 0x00033268)
    0xff, 0x30,
    0xf5, 0xd5, 0x57, 0x50,

    // Seek +0x30 (to 0x0003329c)
    0xff, 0x30,
    0xeb, 0xaa, 0xab, 0xa0,

    // Seek +0x30 (to 0x000332d0)
    0xff, 0x30,
    0xf7, 0x55, 0x55, 0xd0,

    // Seek +0x30 (to 0x00033304)
    0xff, 0x30,
    0xee, 0xaa, 0xaa, 0xe0,

    // Seek +0x30 (to 0x00033338)
    0xff, 0x30,
    0xfd, 0x55, 0x55, 0x70,

    // Seek +0x30 (to 0x0003336c)
    0xff, 0x30,
    0xfa, 0xaa, 0xaa, 0xb0,

    // Seek +0x33 (to 0x000333a3)
    0xff, 0x33,
    0xf8,

    // Seek +0x33 (to 0x000333d7)
    0xff, 0x33,
    0xfc,

    // Seek +0xe228 (to 0x00041600)
    0xff, 0xff, 0xe2, 0x28,

    // End of patch
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};


// This is just the first (long) code patch in the pgchips data, useful for
// identifying whether an executable includes the patch or not.  We don't
// check the entire patch, since it touches resources which might have been
// updated independently of the pgchips patch.
#define PGCHECK_ADDR    0x7ec0
#define PGCHECK_SIZE    98

static const uint8_t pgcheck_orig[] = {
    0x89, 0x5e, 0xf4, 0x80, 0xbf, 0x00, 0x04, 0x31, 0x74, 0x70, 0x8a, 0x07,
    0x88, 0x46, 0xfd, 0x8a, 0xd8, 0x2a, 0xff, 0x8b, 0xc3, 0xd1, 0xe3, 0x03,
    0xd8, 0xd1, 0xe3, 0x8d, 0x7e, 0xf6, 0x8d, 0xb7, 0x6c, 0x06, 0x8c, 0xd0,
    0x8e, 0xc0, 0xa5, 0xa5, 0xa5, 0x8a, 0x46, 0xf9, 0x2a, 0xe4, 0x8b, 0x5e,
    0x10, 0x89, 0x07, 0x80, 0x7e, 0xf8, 0x01, 0x75, 0x07, 0xb8, 0x01, 0x00,
    0xeb, 0x43, 0x90, 0x90, 0x80, 0x7e, 0xf8, 0x02, 0x75, 0x34, 0x8a, 0x46,
    0xfd, 0x2a, 0xe4, 0x3d, 0x30, 0x00, 0x74, 0x12, 0x77, 0x28, 0x2c, 0x06,
    0x7c, 0x24, 0x2c, 0x03, 0x7e, 0x08, 0x2c, 0x11, 0x7c, 0x1c, 0x2c, 0x03,
    0x7f, 0x18,
};
static_assert(sizeof(pgcheck_orig) == PGCHECK_SIZE, "PGCheck content size mismatch");

static const uint8_t pgcheck_patch[] = {
    0x80, 0xbf, 0x00, 0x04, 0x31, 0x74, 0x73, 0x8a, 0x07, 0x88, 0x46, 0xfd,
    0x8a, 0xd8, 0x2a, 0xff, 0x8b, 0xc3, 0xd1, 0xe3, 0x03, 0xd8, 0xd1, 0xe3,
    0x8d, 0x7e, 0xf6, 0x8d, 0xb7, 0x6c, 0x06, 0x8c, 0xd0, 0x8e, 0xc0, 0xa5,
    0xa5, 0xa5, 0x8a, 0x46, 0xf9, 0x2a, 0xe4, 0x8b, 0x5e, 0x10, 0x89, 0x07,
    0x80, 0x7e, 0xf8, 0x01, 0x75, 0x06, 0xb8, 0x01, 0x00, 0xeb, 0x46, 0x90,
    0x80, 0x7e, 0xf8, 0x02, 0x75, 0x38, 0x8a, 0x46, 0xfd, 0x3c, 0x0b, 0x75,
    0x08, 0x80, 0x7e, 0x06, 0x38, 0x74, 0xe7, 0xeb, 0x29, 0x3c, 0x04, 0x7f,
    0x0d, 0x80, 0x7e, 0x06, 0x38, 0x75, 0xdb, 0x81, 0x07, 0x07, 0x00, 0xeb,
    0xd5, 0x90,
};
static_assert(sizeof(pgcheck_patch) == PGCHECK_SIZE, "PGCheck content size mismatch");
